Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface LogManagement

All Known Implementing Classes:
  LogManagementImpl

      public interface LogManagement

LogManagement can set the Log configuration of OracleVM Enterprise Manager Plugin It uses java.util.logging

Method Summary
`void` | `disableLogger()` disable the log output
`void` | `enableLogger()` enable the log output, and the level is Level.INFO
`java.util.logging.Logger` | `getLogger()` get the logger for the ovm api part
`void` | `saveConfig()` commit changes
`void` | `setDefaultLoggerHandler()` reset the default log handler - java.util.ConsoleHandler
`void` | `setDefaultLogLevel()` reset the log level to the default value - Level.INFO
`void` | `setLoggerFile(java.lang.String filePattern)` set the log Handler with append mode on
`void` | `setLoggerFile(java.lang.String filePattern, boolean append)` set the log Handler with append switch
`void` | `setLoggerFile(java.lang.String filePattern, int limit, int count, boolean append)` set the log Handler with append swith, limit, and count
`void` | `setLogLevel(java.util.logging.Level level)` set the Log Level,

Method Detail

### setLogLevel

    void setLogLevel(java.util.logging.Level level)

  set the Log Level,
  Parameters:
    `level` -

### setDefaultLogLevel

    void setDefaultLogLevel()

  reset the log level to the default value - Level.INFO

### enableLogger

    void enableLogger()

  enable the log output, and the level is Level.INFO

### disableLogger

    void disableLogger()

  disable the log output

### setLoggerFile

    void setLoggerFile(java.lang.String filePattern)

  set the log Handler with append mode on
  Parameters:
    `filePattern` -

### setLoggerFile

    void setLoggerFile(java.lang.String filePattern,
                       boolean append)

  set the log Handler with append switch
  Parameters:
    `filePattern` -
    `append` -

### setLoggerFile

    void setLoggerFile(java.lang.String filePattern,
                       int limit,
                       int count,
                       boolean append)

  set the log Handler with append swith, limit, and count
  Parameters:
    `filePattern` -
    `count` -
    `limit` -
    `append` -

### setDefaultLoggerHandler

    void setDefaultLoggerHandler()

  reset the default log handler - java.util.ConsoleHandler

### saveConfig

    void saveConfig()

  commit changes

### getLogger

    java.util.logging.Logger getLogger()

  get the logger for the ovm api part
  Returns:

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.